  {% extends "./plantilla.html" %}
  {% load static %}

  {% block contenido %}
  <div class="row tm-content-row tm-mt-big">
      <div class="col-xl-4 col-lg-12 tm-md-12 tm-sm-12 tm-col">
          <div class="bg-white tm-block h-100">
              <center><h1 class="mt-3 mx-2 text-dark"><strong>POSICIONES</strong></h1>
                <form action="/guardarPosicion/" method="post" enctype="multipart/form-data" id="frm_nueva_posicion">
                  {% csrf_token %}
                  <br>
                  <b>NOMBRE:</b>
                  <input type="text" name="nombre_pos" id="nombre_pos" value="" placeholder="Ingrese el nombre de la posición" class="form-control" required>
                  <br>
                  <b>DESCRIPCIÓN:</b>
                  <textarea name="descripcion_pos" id="descripcion_pos" placeholder="Ingrese la descripción de la posición" class="form-control" required></textarea>
                  <br>
                  <center>
                      <button type="submit" name="button" class="btn btn-primary">Guardar</button>
                      &nbsp;&nbsp;&nbsp;
                      &nbsp;&nbsp;&nbsp;
                      &nbsp;&nbsp;&nbsp;
                      <a href="/" class="btn btn-danger ml-2">Cancelar</a>
                  </center>
              </form>
          </div>
      </div>

      <div class="col-xl-8 col-lg-12 tm-md-12 tm-sm-12 tm-col">
          <div class="bg-white tm-block h-100">

              <div class="table-responsive mt-3">
                  <table class="table table-hover table-striped tm-table-striped-even">
                    <thead class="table-dark">
                          <tr>
                              <th>ID</th>
                              <th>NOMBRE</th>
                              <th>DESCRIPCIÓN</th>
                              <th>ACCIONES</th>
                          </tr>
                      </thead>
                      <tbody>
                        {% for posicion in posiciones %}
                          <tr>
                            <td>{{ posicion.id_pos }}</td>
                            <td>{{ posicion.nombre_pos }}</td>
                            <td>{{ posicion.descripcion_pos }}</td>
                            <td>
                            <a href="/editarPosicion/{{ posicion.id_pos }}" class="btn btn-warning btn-sm">Editar</a>
                            <a href="javascript:void(0)" onclick="eliminarPosicion('/eliminarPosicion/{{ posicion.id_pos }}');" class="btn btn-danger btn-sm">Eliminar</a>
                          </td>
                          </tr>
                           {% endfor %}
                          <!-- Aquí puedes continuar con más filas de la tabla si es necesario -->
                      </tbody>
                  </table>
              </div>
          </div>
      </div>
  </div>
  <script type="text/javascript">
      function eliminarPosicion(url) {
          iziToast.question({
              timeout: 15000,
              close: true,
              overlay: true,
              displayMode: 'once',
              id: 'question',
              zindex: 999,
              title: 'CONFIRMACIÓN',
              message: '¿Está seguro de eliminar la posición seleccionada?',
              position: 'center',
              buttons: [
                  ['<button><b>SI</b></button>', function (instance, toast) {
                      instance.hide({ transitionOut: 'fadeOut' }, toast, 'button');
                      window.location.href=url;
                  }, true],
                  ['<button>NO</button>', function (instance, toast) {
                      instance.hide({ transitionOut: 'fadeOut' }, toast, 'button');
                  }],
              ]
          });
      }
  </script>
  {% endblock %}
